[SOLUCIONADO]Problema GCBASIC

Ver el tema anterior Ver el tema siguiente Ir abajo

[SOLUCIONADO]Problema GCBASIC

Mensaje por Mr.Javi3r el Dom 31 Oct 2010 - 23:03

Hola que tal.

Me he metido en un problema, se me ocurrió desinstalar (temporalmente) gcbasic con:
Código:
$sudo apt-get remove --purge gcbasic

y para mi sorpresa ya no lo puedo instalar, desde la terminal traté con el comando:
Código:
$sudo dpkg -i GcBasic-PL_0.9_12-8-09.deb

y me arroja lo siguiente:
Código:
dpkg: error al procesar GcBasic-PL_0.9_12-8-09.deb (--install):
 error en el análisis, en archivo «/var/lib/dpkg/tmp.ci/control» línea cercana 2 paquete «gcbasic»:
 error en la cadeba de versión «0.9_12-8-09-2»: carácter inválido en el número de versión
Se encontraron errores al procesar:
GcBasic-PL_0.9_12-8-09.deb


Ya estoy algo desesperado por que la verdad he buscado mucho acerca de este error pero nada, (hasta he pensado en reinstalar el SO).

Por ultimo, estoy usando ktechlab-gcb con Ubuntu 10.10.

Ojalá alguien sepa de que se trata esto confused y se apiade de mi alma

Gracias.
Embarassed


Última edición por Mr.Javi3r el Miér 3 Nov 2010 - 5:05, editado 1 vez

Mr.Javi3r
Participante
Participante

Mensajes : 17
Fecha de inscripción : 01/10/2010

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Pikitin el Lun 1 Nov 2010 - 3:32

Hola Mr.Javi3r, no estoy seguro de cual puede ser el error, mira por synaptic a ver si el paquete esta o no. Yo tengo una version posterior y el paquete se llama gcbasic-pl

también podrías probar a instalar esta ultima versión, la puedes descargar de aquí:
http://sourceforge.net/projects/piclinux/files/GcBasic-PL/gcbasic-pl_0.9_25-11-09.deb/download

Si no lo solucionas avisa a ver si podemos localizar lo que pasa, pero no reinstales el SO, no creo que haga falta.

Saludos.

Pikitin
veterano
veterano

Mensajes : 623
Fecha de inscripción : 26/11/2008

http://linuxmicros.blogspot.com/

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Mr.Javi3r el Lun 1 Nov 2010 - 4:05

Pikitin, gracias por tu respuesta, el paquete no me aparece en synaptics, bajé la version que me comentas y sigue igual, desde el centro de sw lanza esto:

Parece haber un error de programación en aptdaemon, el software que le permite instalar y eliminar software y realizar otras tareas relacionadas con la gestión de paquetes. Informe de este error en http://launchpad.net/aptdaemon/+filebug y vuelva a intentarlo.

Desde la terminal y gdebi lanza este:

dpkg: error al procesar /media/win7/Users/Paco/Software/gcbasic-pl_0.9_25-11-09.deb (--install):
error en el análisis, en archivo «/var/lib/dpkg/tmp.ci/control» línea cercana 2 paquete «gcbasic-pl»:
error en la cadeba de versión «0.9_25-11-09-2»: carácter inválido en el número de versión


pale
La verdad yo tengo la culpa, lo que sucede es que quise instalar libreoffice pero marcaba error de que en /var/lib/dpkg/available en la linea 47089 habia un caracter invalido, y era donde estaba situado el gcbasic, y se me hizo facil desinstalarlo y borrar la entrada del archivo, con esto me permitio instalar libreoffice pero ya no me dejó reinstalar gcbasic, afortunadamente hice un respaldo(aunque no sirve de nada) de las entradas originales con lo que puedo seguir viendo el error original el cual es:

$ sudo dpkg -i /media/win7/Users/Paco/Software/gcbasic-pl_0.9_25-11-09.deb
atención, en archivo «/var/lib/dpkg/available» línea cercana 47089 paquete «gcbasic»:
error en la cadeba de versión «0.9_12-8-09-2»: carácter inválido en el número de versión
dpkg: error al procesar /media/win7/Users/Paco/Software/gcbasic-pl_0.9_25-11-09.deb (--install):
error en el análisis, en archivo «/var/lib/dpkg/tmp.ci/control» línea cercana 2 paquete «gcbasic-pl»:
error en la cadeba de versión «0.9_25-11-09-2»: carácter inválido en el número de versión
Se encontraron errores al procesar:
/media/win7/Users/Paco/Software/gcbasic-pl_0.9_25-11-09.deb



El siguiente texto es del archivo /var/lib/dpkg/available donde la linea donde dice la version es la 47089 y de hecho el caracter invalido es el que pongo en negrita rojo.

Package: gcbasic
Priority: extra
Section: alien
Installed-Size: 12104
Maintainer: santi
Architecture: all
Version: 0.9_12-8-09-2
Depends: libc6 (>= 2.3), libncurses5 (>= 5.6+20071006-3)
Size: 2560732
Description: Converted Slackware tgz package
Converted Slackware tgz package
.
(Converted from a tgz package by alien version 8.69.)


Lo malo es que soy bien desesperado y muchas veces busco soluciones rapidas y es cuando colapso el sistema Neutral

En fin haber que pasa, por cierto no tenia idea que ya habia una version mas reciente. Tengo que documentarme mejor study

Gracias por la atención!! Very Happy

Mr.Javi3r
Participante
Participante

Mensajes : 17
Fecha de inscripción : 01/10/2010

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por aztk el Lun 1 Nov 2010 - 5:19

Yo no tengo ningún directorio o fichero del estilo "/var/lib/dpkg/tmp.ci/control" (aunque tampoco tengo instalado ni gcbasic ni libreoffice), además de que el nombre tmp me da la impresión de que esa carpeta no es necesaria.

Muevela a otro lado (para que quede de respaldo por si sí es necesaria) e intenta de nuevo a instalar gcbasic.

Saludos!

aztk
Participante Activo
Participante Activo

Mensajes : 52
Fecha de inscripción : 08/06/2009
Edad : 29
Localización : Tenochtitlan

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Mr.Javi3r el Lun 1 Nov 2010 - 20:48

El problema radica en el archivo /var/lib/dpkg/available, al parecer el guion bajo _ causa esto, pero ¿como se podrá recompilar a modo de omitir este caracter del .deb en el numero de la version? confused

Mr.Javi3r
Participante
Participante

Mensajes : 17
Fecha de inscripción : 01/10/2010

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Pikitin el Lun 1 Nov 2010 - 22:12

El problema radica en el archivo /var/lib/dpkg/available, al parecer el guion bajo _ causa esto
Pues no se porqué.. ese caracter aparece en muchos paquetes.
Además ya lo tenías instalado anteriormente.. no?

Pikitin
veterano
veterano

Mensajes : 623
Fecha de inscripción : 26/11/2008

http://linuxmicros.blogspot.com/

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Pikitin el Lun 1 Nov 2010 - 22:19

Estaba pensando que si solo quieres el gcbasic funcionando lo podrías instalar "a mano".

Solo extrae los archivos del .deb , luego extraes dat.tar.gz y el contenido lo copias a tu carpeta usr/bin y usr/share

Es que el error ese es raro.. nop tengo idea de porque te pasa..


Pikitin
veterano
veterano

Mensajes : 623
Fecha de inscripción : 26/11/2008

http://linuxmicros.blogspot.com/

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por aztk el Lun 1 Nov 2010 - 22:24


aztk
Participante Activo
Participante Activo

Mensajes : 52
Fecha de inscripción : 08/06/2009
Edad : 29
Localización : Tenochtitlan

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Mr.Javi3r el Mar 2 Nov 2010 - 1:18

Ya había tratado con ese comando, pero lo que hace es limpiar el archivo, cosa que realmente no solucionó el problema, solo me mostró diferente el error:

paco@paco-laptop:~$ sudo dpkg -i /media/win7/Users/Paco/Software/gcbasic-pl_0.9_25-11-09.deb
dpkg: error al procesar /media/win7/Users/Paco/Software/gcbasic-pl_0.9_25-11-09.deb (--install):
error en el análisis, en archivo «/var/lib/dpkg/tmp.ci/control» línea cercana 2 paquete «gcbasic-pl»:
error en la cadeba de versión «0.9_25-11-09-2»: carácter inválido en el número de versión
Se encontraron errores al procesar:
/media/win7/Users/Paco/Software/gcbasic-pl_0.9_25-11-09.deb


La verdad me interesa tenerlo en funcionamiento por el ktechlab, pero solo es comodidad de trabajar con la laptop, no es algo demasiado urgente, igual me empieza a incomodar quitarles el tiempo por esto, haber que sucede.

Gracias.

Mr.Javi3r
Participante
Participante

Mensajes : 17
Fecha de inscripción : 01/10/2010

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Pikitin el Mar 2 Nov 2010 - 3:53

Ya te digo.. si quieres tenerlo funcionando mientras arreglas eso puedes sacar los archivos del paquete deb y copiarlos directamente.


Pikitin
veterano
veterano

Mensajes : 623
Fecha de inscripción : 26/11/2008

http://linuxmicros.blogspot.com/

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Mr.Javi3r el Mar 2 Nov 2010 - 4:14

voilà, Pikitin, eres un maestro(como soy adulador, mentira, para mi si es un maestro), no puse demasiada atención al comentario anterior al de Aztek, solo que en mi caso la estructura de directorios salió diferente, lo resolví de la siguiente forma, abrí el .deb con el gestor de archivadores e hice lo que me dijiste, solo que directamente vienen 2 carpetas principales, DEBIAN y usr, simplemente lo que tiene usr lo agregué al usr de mi sistema y funcionó perfectamente con Ktechlab.

cheers cheers cheers

De verdad que me han tratado con mucha paciencia aquí Crying or Very sad , miren que este semestre apenas empiezo a conocer de pics, no me enseñan en la escuela (pero si me exigen un proyecto los "#$%) y realmente estoy muy feliz ya que me traia algo desanimado esto y que el RCD no me funcionaba (tenia un falso), pero al parecer las cosas van mejorando.

Ahora si, MUCHAS GRACIAS!!! lol! lol! What a Face

Mr.Javi3r
Participante
Participante

Mensajes : 17
Fecha de inscripción : 01/10/2010

Volver arriba Ir abajo

Re: [SOLUCIONADO]Problema GCBASIC

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.